#include <iostream>
#include <vector>
#include <string>
#include <set>

bool match(const std::string &s, int number, int idx, int &munch)
{
    std::vector<int> digits;
    while(number > 0)
    {
        digits.push_back(number % 10);
        number /= 10;
    }
    munch = digits.size();
    if(idx + munch > s.length())
        return false;
    for(int i=0; i<munch; i++)
    {
        if(s[idx+i] != '0'+ digits[munch-1-i])
            return false;
    }
    return true;
}

void doCase()
{
    std::string s;
    std::cin >> s;
    std::set<int> possibilities;
    for(int len=1; len <= std::min(5, (int)s.length()); len++)
    {
        int start = 0;
        for(int i=0; i<len; i++)
        {
            start *= 10;
            start += s[i]-'0';
        }
        int curidx = 0;
        int cur = start;
        bool ok = true;        
        int errorval = 0;
        while(true)
        {
            //std::cout << "in loop, cur = " << cur << " curidx = " << curidx << " errorval " << errorval << std::endl;
            if(curidx == s.length())
            {
                break;
            }
            int munch;
            if(match(s, cur, curidx, munch))
            {
                cur++;
                curidx += munch;
            }
            else if(errorval)
            {
                ok = false;
                break;
            }
            else
            {
                errorval = cur;
                cur++;
            }
        }
        if(ok && start >= 1 && cur <= 100000)
        {
            if(errorval != 0)
                possibilities.insert(errorval);
            else
            {
                if(start > 1)
                    possibilities.insert(start-1);
                if(cur < 100000)
                    possibilities.insert(cur);
            }                
        }
    }
    std::cout << possibilities.size() << std::endl;
    for(auto it : possibilities)
        std::cout << it << " ";
    std::cout << std::endl;
}

int main()
{
    int n;
    std::cin >> n;
    for(int i=0; i<n; i++)
    {
        doCase();
    }
}
